"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Events = void 0;
const ClickEvent_1 = require("./ClickEvent");
const DivEvent_1 = require("./DivEvent");
const HoverEvent_1 = require("./HoverEvent");
class Events {
    constructor() {
        this.onClick = new ClickEvent_1.ClickEvent();
        this.onDiv = new DivEvent_1.DivEvent();
        this.onHover = new HoverEvent_1.HoverEvent();
        this.resize = true;
    }
    load(data) {
        if (!data) {
            return;
        }
        this.onClick.load(data.onClick);
        const onDiv = data.onDiv;
        if (onDiv instanceof Array) {
            this.onDiv = onDiv.map((div) => {
                const tmp = new DivEvent_1.DivEvent();
                tmp.load(div);
                return tmp;
            });
        }
        else {
            this.onDiv = new DivEvent_1.DivEvent();
            this.onDiv.load(onDiv);
        }
        this.onHover.load(data.onHover);
        if (data.resize !== undefined) {
            this.resize = data.resize;
        }
    }
}
exports.Events = Events;
