"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Split = void 0;
const Utils_1 = require("../../../../Utils");
class Split {
    constructor() {
        this.count = 1;
        this.factor = 3;
        this.rate = { min: 4, max: 9 };
        this.sizeOffset = true;
    }
    load(data) {
        if (!data) {
            return;
        }
        if (data.count !== undefined) {
            this.count = data.count;
        }
        if (data.factor !== undefined) {
            this.factor = (0, Utils_1.setRangeValue)(data.factor);
        }
        if (data.rate !== undefined) {
            this.rate = (0, Utils_1.setRangeValue)(data.rate);
        }
        this.particles = (0, Utils_1.deepExtend)({}, data.particles);
        if (data.sizeOffset !== undefined) {
            this.sizeOffset = data.sizeOffset;
        }
    }
}
exports.Split = Split;
