import type { IOptionLoader, IParticlesOptions } from "../../Interfaces";
import type { RecursivePartial, SingleOrMultiple } from "../../../Types";
import { AnimatableColor } from "../AnimatableColor";
import { AnimatableGradient } from "../AnimatableGradient";
import { Collisions } from "./Collisions";
import { Destroy } from "./Destroy";
import { Life } from "./Life";
import { Links } from "./Links";
import { Move } from "./Move";
import { Opacity } from "./Opacity";
import { Orbit } from "./Orbit";
import { ParticlesBounce } from "./Bounce";
import { ParticlesGroups } from "../../../Types/ParticlesGroups";
import { ParticlesNumber } from "./Number";
import { ParticlesRepulse } from "./Repulse";
import { Roll } from "./Roll";
import { Rotate } from "./Rotate";
import { Shadow } from "./Shadow";
import { Shape } from "./Shape";
import { Size } from "./Size";
import { Stroke } from "./Stroke";
import { Tilt } from "./Tilt";
import { Twinkle } from "./Twinkle";
import { Wobble } from "./Wobble";
import { ZIndex } from "./ZIndex";
export declare class ParticlesOptions implements IParticlesOptions, IOptionLoader<IParticlesOptions> {
    bounce: ParticlesBounce;
    collisions: Collisions;
    color: AnimatableColor;
    destroy: Destroy;
    gradient: SingleOrMultiple<AnimatableGradient>;
    groups: ParticlesGroups;
    life: Life;
    links: Links;
    move: Move;
    number: ParticlesNumber;
    opacity: Opacity;
    orbit: Orbit;
    reduceDuplicates: boolean;
    repulse: ParticlesRepulse;
    roll: Roll;
    rotate: Rotate;
    shape: Shape;
    size: Size;
    shadow: Shadow;
    stroke: SingleOrMultiple<Stroke>;
    tilt: Tilt;
    twinkle: Twinkle;
    wobble: Wobble;
    zIndex: ZIndex;
    constructor();
    load(data?: RecursivePartial<IParticlesOptions>): void;
}
