/**
 * @category Core
 */
import { ClickMode } from "../../Enums";
import type { IDelta } from "../Interfaces";
import type { Container } from "../Container";
import { Engine } from "../../engine";
import type { Particle } from "../Particle";
export declare class InteractionManager {
    #private;
    private readonly container;
    private readonly externalInteractors;
    private readonly particleInteractors;
    constructor(container: Container, engine: Engine);
    init(): void;
    externalInteract(delta: IDelta): void;
    particlesInteract(particle: Particle, delta: IDelta): void;
    handleClickMode(mode: ClickMode | string): void;
}
