import { DivMode, DivType } from "../../../../Enums";
import type { IDivEvent, IOptionLoader } from "../../../Interfaces";
import type { RecursivePartial, SingleOrMultiple } from "../../../../Types";
/**
 * [[include:Options/Interactivity/Div.md]]
 * @category Options
 */
export declare class DivEvent implements IDivEvent, IOptionLoader<IDivEvent> {
    selectors: SingleOrMultiple<string>;
    /**
     * The div event handler enabling mode
     */
    enable: boolean;
    /**
     * Div mode values described in [[DivMode]], an array of these values is also valid.
     */
    mode: SingleOrMultiple<DivMode | keyof typeof DivMode | string>;
    type: DivType;
    constructor();
    load(data?: RecursivePartial<IDivEvent>): void;
}
