import { Events } from "./Events";
import { Modes } from "./Modes";
/**
 * [[include:Options/Interactivity.md]]
 * @category Options
 */
export class Interactivity {
    constructor() {
        this.detectsOn = "window" /* window */;
        this.events = new Events();
        this.modes = new Modes();
    }
    load(data) {
        if (!data) {
            return;
        }
        if (data.detectsOn !== undefined) {
            this.detectsOn = data.detectsOn;
        }
        this.events.load(data.events);
        this.modes.load(data.modes);
    }
}
