import type { ICollisions, IOptionLoader } from "../../../Interfaces";
import { CollisionMode } from "../../../../Enums";
import { CollisionsOverlap } from "./CollisionsOverlap";
import { ParticlesBounce } from "../Bounce";
import type { RecursivePartial } from "../../../../Types";
/**
 * @category Options
 * [[include:Collisions.md]]
 */
export declare class Collisions implements ICollisions, IOptionLoader<ICollisions> {
    bounce: ParticlesBounce;
    enable: boolean;
    mode: CollisionMode | keyof typeof CollisionMode;
    overlap: CollisionsOverlap;
    constructor();
    load(data?: RecursivePartial<ICollisions>): void;
}
