import { deepExtend, setRangeValue } from "../../../../Utils";
export class Split {
    constructor() {
        this.count = 1;
        this.factor = 3;
        this.rate = { min: 4, max: 9 };
        this.sizeOffset = true;
    }
    load(data) {
        if (!data) {
            return;
        }
        if (data.count !== undefined) {
            this.count = data.count;
        }
        if (data.factor !== undefined) {
            this.factor = setRangeValue(data.factor);
        }
        if (data.rate !== undefined) {
            this.rate = setRangeValue(data.rate);
        }
        this.particles = deepExtend({}, data.particles);
        if (data.sizeOffset !== undefined) {
            this.sizeOffset = data.sizeOffset;
        }
    }
}
