import { AnimationOptions } from "../../AnimationOptions";
/**
 * @category Options
 */
export class OpacityAnimation extends AnimationOptions {
    constructor() {
        super();
        this.destroy = "none" /* none */;
        this.enable = false;
        this.speed = 2;
        this.startValue = "random" /* random */;
        this.sync = false;
    }
    load(data) {
        if (!data) {
            return;
        }
        super.load(data);
        if (data.destroy !== undefined) {
            this.destroy = data.destroy;
        }
        if (data.enable !== undefined) {
            this.enable = data.enable;
        }
        if (data.speed !== undefined) {
            this.speed = data.speed;
        }
        if (data.startValue !== undefined) {
            this.startValue = data.startValue;
        }
        if (data.sync !== undefined) {
            this.sync = data.sync;
        }
    }
}
