import type { IOptionLoader, IOrbit } from "../../../Interfaces";
import type { RangeValue, RecursivePartial } from "../../../../Types";
import { AnimationOptions } from "../../AnimationOptions";
import type { IAnimatable } from "../../../Interfaces";
import { OptionsColor } from "../../OptionsColor";
/**
 * [[include:Options/Particles/Orbit.md]]
 * @category Options
 */
export declare class Orbit implements IOrbit, IOptionLoader<IOrbit>, IAnimatable<AnimationOptions> {
    animation: AnimationOptions;
    enable: boolean;
    opacity: number;
    width: number;
    color?: OptionsColor;
    radius?: number;
    rotation: RangeValue;
    constructor();
    load(data?: RecursivePartial<IOrbit>): void;
}
