import { deepExtend } from "../../../../Utils";
/**
 * [[include:Options/Particles/Shape.md]]
 * @category Options
 */
export class Shape {
    constructor() {
        this.options = {};
        this.type = "circle";
    }
    load(data) {
        var _a;
        if (!data) {
            return;
        }
        const options = data.options;
        if (options) {
            for (const shape of Object.keys(options)) {
                const item = options[shape];
                if (item) {
                    this.options[shape] = deepExtend((_a = this.options[shape]) !== null && _a !== void 0 ? _a : {}, item);
                }
            }
        }
        if (data.type !== undefined) {
            this.type = data.type;
        }
    }
}
