import type { ICoordinates, IDistance } from "../../../../Core";
import type { IMove, IOptionLoader } from "../../../Interfaces";
import { MoveDirection, MoveDirectionAlt } from "../../../../Enums";
import { RangeValue, RecursivePartial } from "../../../../Types";
import { MoveAngle } from "./MoveAngle";
import { MoveAttract } from "./MoveAttract";
import { MoveGravity } from "./MoveGravity";
import { MovePath } from "./MovePath";
import { MoveTrail } from "./MoveTrail";
import { OutModes } from "./OutModes";
import { Spin } from "./Spin";
export declare class Move implements IMove, IOptionLoader<IMove> {
    angle: MoveAngle;
    attract: MoveAttract;
    center: ICoordinates & {
        radius: number;
    };
    direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt | number;
    distance: Partial<IDistance>;
    decay: number;
    drift: RangeValue;
    enable: boolean;
    gravity: MoveGravity;
    path: MovePath;
    outModes: OutModes;
    random: boolean;
    size: boolean;
    speed: RangeValue;
    spin: Spin;
    straight: boolean;
    trail: MoveTrail;
    vibrate: boolean;
    warp: boolean;
    constructor();
    load(data?: RecursivePartial<IMove>): void;
}
