import type { RangeValue, RecursivePartial, SingleOrMultiple } from "../../Types";
import type { IBackground } from "./Background";
import type { IBackgroundMask } from "./BackgroundMask";
import type { IColor } from "../../Core";
import type { IFullScreen } from "./FullScreen";
import type { IInteractivity } from "./Interactivity";
import type { IManualParticle } from "./IManualParticle";
import type { IMotion } from "./Motion";
import type { IParticlesOptions } from "./Particles";
import type { IResponsive } from "./IResponsive";
import type { ITheme } from "./Theme";
export interface IOptions {
    autoPlay: boolean;
    background: IBackground;
    backgroundMask: IBackgroundMask;
    detectRetina: boolean;
    duration: RangeValue;
    fpsLimit: number;
    fullScreen: RecursivePartial<IFullScreen> | boolean;
    interactivity: IInteractivity;
    manualParticles: IManualParticle[];
    motion: IMotion;
    particles: IParticlesOptions;
    pauseOnBlur: boolean;
    pauseOnOutsideViewport: boolean;
    preset?: SingleOrMultiple<string>;
    responsive: IResponsive[];
    style: RecursivePartial<CSSStyleDeclaration>;
    themes: ITheme[];
    zLayers: number;
    [name: string]: unknown;
}
export interface IAltOptions {
    background: {
        color: string;
    };
    backgroundMask: {
        cover: IColor | string;
    };
    interactivity: {
        modes: {
            bubble: {
                color?: SingleOrMultiple<IColor | string>;
            };
            grab: {
                links: {
                    color?: IColor | string;
                };
            };
            light: {
                shadow: {
                    color: IColor | string;
                };
                area: {
                    gradient: {
                        start: string | IColor;
                        stop: string | IColor;
                    };
                };
            };
        };
    };
    fullScreen: RecursivePartial<IFullScreen> | boolean;
}
